
--[[
Title: Default
Author: 7
Date: 7-4-2013
Purpose: Template for new LOVE2D programs
License: MIT-LICENSE -
Copyright (c) 2013 Carl Reed

Permission is hereby granted, free of charge, to any person obtaining a
copy of this software and associated documentation files (the
"Software"), to deal in the Software without restriction, including
without limitation the rights to use, copy, modify, merge, publish,
distribute, sublicense, and/or sell copies of the Software, and to
permit persons to whom the Software is furnished to do so, subject to
the following conditions:

The above copyright notice and this permission notice shall be included
in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
]]

require "scripts/aliases"
require "scripts/helpers"
require "scripts/libs/middleclass"
require "scripts/gui"
require "scripts/cards"
require "scripts/states"
http = require "socket.http"


function love.load()
	-- lg.setMode(1000,800)
	-- sw = 800
	-- sh = 600
	img = {}
	states = {}
	loadResources(img,"images")
	loadResources(img)
	title = TitleState()
	pushState(title)
	-- flag = false
	local saveDir = love.filesystem.getSaveDirectory()
	if not love.filesystem.isDirectory(saveDir .. '/decks') then
		love.filesystem.mkdir('decks')
	end
end

function love.update(dt)
	mx,my = lm.getPosition()
	updateStates(dt)
end

function love.draw()
	drawStates()
	lg.setColor(white)
	-- lg.print(tostring(love.timer.getMicroTime()),20,20)
end


-------------------------------------------------------------------------------



























